## openjdk-lts 11.0.20.1+1

=== debian/changelog ===
openjdk-lts (11.0.20.1+1-0ubuntu1~20.04) focal-security; urgency=medium

  * Upload to Ubuntu 20.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 25 Aug 2023 10:32:31 +1200

openjdk-lts (11.0.20.1+1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 11.0.20.1 release, build 1.
    - REGRESSION UPDATE: 8313765: Invalid CEN header (invalid zip64 extra data
      field size) (LP: #2032865).
  * d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
    to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 24 Aug 2023 11:22:16 +1200
