## openjdk-lts 11.0.21+9

=== debian/changelog ===
openjdk-lts (11.0.21+9-0ubuntu1~23.04) lunar-security; urgency=medium

  * OpenJDK 11.0.21 release, build 9.
    - CVE-2023-22081.
    - Release notes:
      https://mail.openjdk.org/pipermail/jdk-updates-dev/2023-October/026351.html
  * d/source/lintian.overrides: use openjdk-lts package name.
  * Merge changes from openjdk-11 11.0.21+9-1 (LP: #2039754).
    - d/test: update problemlist.
    - d/p: drop exclude-broken-tests.patch.
    - d/p/reproducible-properties-timestamp.diff: use the privileged action
      to read the system property (JDK-8272157, 914278).
    - d/copyright: remove liblcms from excluded files.
    - d/t/jtreg-autopkgtest.{sh,in}: JDK-8232153 - set NSS_DEFAULT_DB_TYPE
      to let sun/security/pkcs11/Secmod/AddTrustedCert.java pass.

      [ Matthias Klose ]
    - Build using GCC 13 on development versions.
    - Explicitly configure --without-jtreg with the nocheck profile

      [ Pushkar Kulkarni ]
    - Handle limited ECC capabilities of NSS on older releases.

  [ Vladimir Petko ]
  * Upload to Ubuntu 23.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 19 Oct 2023 20:54:46 +1300
