=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,6 @@
 endif
 
 is_upstream_release = yes
-#is_upstream_release =
 
 srcdir		= .
 builddir	= build
@@ -158,7 +157,7 @@
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
 # see Debian #920161
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha riscv64))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
