## openjdk-lts 11.0.23%2B9

=== debian/changelog ===
openjdk-lts (11.0.23+9-1ubuntu1) noble; urgency=high

  * OpenJDK 11.0.23 release, build 9.
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - 8318340: Improve RSA key implementations.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
      C2 compilation fails with "Exceeded _node_regs array".
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.

  [ Pushkar Kulkarni ]
  * Use 64-bit clock_* function on archs like armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 16:23:29 +0200

openjdk-lts (11.0.23~7ea-1ubuntu4) noble; urgency=medium

  * d/rules: disable jtreg tests due to jtreg i386 uninstallability.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 17 Apr 2024 08:28:35 +1200

openjdk-lts (11.0.23~7ea-1ubuntu3) noble; urgency=medium

  * d/patches: Use clock_*64 functions on archs like armhf
    (LP: #2059005)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 11 Apr 2024 20:16:13 +0530

openjdk-lts (11.0.23~7ea-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:05:16 +1100

openjdk-lts (11.0.23~7ea-1ubuntu1) noble; urgency=medium

  * OpenJDK 11.0.23+7 build (early access).

  * Merge changes from openjdk-11 11.0.23~7-1.
    - Update cups dependencies for time_t64.
    - copyright-generator: Derive release from debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 02:30:11 +0100

openjdk-lts (11.0.22+7-3ubuntu1) noble; urgency=medium

  * Merge changes from openjdk-11 11.0.22+7-2.
    - Add zero support for loong64 (Leslie Zhai). Closes: #1060821.
    - d/changelog: Whitespace cleanup.
    - Update build dependency on libfontconfig-dev.
    - Apply proposed patch for JDK-8307977. Closes: #1034600.
    - d/t/jtreg-autopkgtest.*: Set jtreg home property correctly.
  * Merge changes from openjdk-11 11.0.22+7-3.
    - libcups2, libfontconfig1: Make it a recommends in jre-headless,
      a dependency in jre.
    - Make the dependencies for libfontmanager.so and libjsound.so
      recommendations in jre-headless, and dependencies in jre.
    - Drop build dependencies on libgtk2 | libgtk3.
    - Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 16:39:50 +0100

openjdk-lts (11.0.22+7-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:39:23 +0000

openjdk-lts (11.0.22+7-0ubuntu2) noble; urgency=medium

  * No-change rebuild to correct the previous changelog entry (LP: #2050390)

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Sat, 20 Jan 2024 15:57:19 +0530
