=== debian/changelog ===
openjdk-lts (11.0.23+9-1ubuntu1~20.04.2) focal-security; urgency=medium

  * Modify the previous changelog entry:
       remove an invalid entry from the CVE list.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 29 May 2024 17:23:32 +0530

openjdk-lts (11.0.23+9-1ubuntu1~20.04.1) focal-security; urgency=high

  * OpenJDK 11.0.23 release, build 9.

    * CVEs
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - CVE-2024-21012, 8315708: Enhance HTTP/2 client usage.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
      C2 compilation fails with "Exceeded _node_regs array".
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.

    * Security fixes
    - JDK-8315708: Enhance HTTP/2 client usage
    - JDK-8317507, JDK-8325348: C2 compilation fails with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses

  [ Pushkar Kulkarni ]
  * Use 64-bit clock_* function on archs like armhf.
  * Upload to Ubuntu 20.04
  * d/rules, d/control: Use gcc-10 to work around LP: #2044899

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2024 16:23:29 +0200
