## openjdk-lts 11.0.24~6ea

=== debian/changelog ===
openjdk-lts (11.0.24~6ea-1ubuntu2) oracular; urgency=medium

  * d/rules: include /usr/share/dpkg/buildflags.mk to avoid configure
    failure due to the undefined variables.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 26 Jun 2024 08:34:02 +1200

openjdk-lts (11.0.24~6ea-1ubuntu1) oracular; urgency=medium

  * New upstream snapshot 11.0.24~6ea (LP: #2069917).
  * d/p/*: refresh patches.
  * d/rules, d/control: use jtreg7, enable jtreg.
  * d/JB-demo.overrides.in: add jar-contains-source override for
    SwingSet demo jar.
  * d/rules, d/copyright-generator/copyright-gen.py, d/copyright:
    exclude test/jdk/sun/management/windows/revokeall.exe from orig
    tarball, format d/copyright-generator/copyright-gen.py.
  * d/p/8307977-proposed.diff: rename to jdk-8307977-proposed.patch.
  * d/p/jdk-8334502.patch: fix iso8601_utctime armhf function.
  * d/p/jtreg-location.diff: drop patch as it is no longer needed for
    jtreg7.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Jun 2024 10:30:43 +1200
