=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+include /usr/share/dpkg/buildflags.mk
 
 unexport LANG LC_ALL
 
@@ -77,7 +78,7 @@
   is_default = yes
 endif
 
-is_upstream_release = yes
+is_upstream_release = no
 
 srcdir		= .
 builddir	= build
@@ -152,7 +153,7 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-jtreg_pkg = jtreg6
+jtreg_pkg = jtreg7
 testng_pkg= libtestng7-java
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
@@ -169,7 +170,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
-with_check = disabled for this upload
+#with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
