## openjdk-lts 11.0.24+8

=== debian/changelog ===
openjdk-lts (11.0.24+8-1ubuntu3~24.04.1) noble-security; urgency=medium

  * Upload to Ubuntu 24.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 Jul 2024 18:15:02 +1200

openjdk-lts (11.0.24+8-1ubuntu3) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2024-July/035797.html
    - CVEs
      + CVE-2024-21147: 8323231, RangeCheckElimination array index overflow.
      + CVE-2024-21145: 8324559, Out-of-bounds access in 2D image handling.
      + CVE-2024-21140: 8320548, Range Check Elimination (RCE) pre-loop limit
        overflow.
      + CVE-2024-21144: 8322106, Pack200 increase loading time due to improper
        header validation.
      + CVE-2024-21131: 8314794, potential UTF8 size overflow.
      + CVE-2024-21138: 8319859, Excessive symbol length can lead to infinite loop.
    - Security fixes
      + JDK-8303466: C2: failed: malformed control flow.
        Limit type made precise with MaxL/MinL.
      + JDK-8314794: Improve UTF8 String supports.
      + JDK-8319859: Better symbol storage.
      + JDK-8320097: Improve Image transformations.
      + JDK-8320548: Improved loop handling.
      + JDK-8322106: Enhance Pack 200 loading.
      + JDK-8323231: Improve array management.
      + JDK-8323390: Enhance mask blit functionality.
      + JDK-8324559: Improve 2D image handling.
      + JDK-8325600: Better symbol storage.
      + JDK-8327413: Enhance compilation efficiency.
  * No-Change upload to include OpenJDK bugs related to CVEs.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 22 Jul 2024 08:41:26 +1200

openjdk-lts (11.0.24+8-1ubuntu2) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8. Release notes:
    https://mail.openjdk.org/pipermail/jdk-updates-dev/2024-July/035797.html
    + CVEs
      - CVE-2024-21147
      - CVE-2024-21145
      - CVE-2024-21140
      - CVE-2024-21144
      - CVE-2024-21131
      - CVE-2024-21138
    + Security fixes
      - JDK-8303466: C2: failed: malformed control flow.
        Limit type made precise with MaxL/MinL.
      - JDK-8314794: Improve UTF8 String supports.
      - JDK-8319859: Better symbol storage.
      - JDK-8320097: Improve Image transformations.
      - JDK-8320548: Improved loop handling.
      - JDK-8322106: Enhance Pack 200 loading.
      - JDK-8323231: Improve array management.
      - JDK-8323390: Enhance mask blit functionality.
      - JDK-8324559: Improve 2D image handling.
      - JDK-8325600: Better symbol storage.
      - JDK-8327413: Enhance compilation efficiency.
  * No-Change upload to include upstream release notes.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 22 Jul 2024 08:17:12 +1200

openjdk-lts (11.0.24+8-1ubuntu1) oracular; urgency=medium

  * OpenJDK 11.0.24 release, build 8.
    - CVEs:
      + CVE-2024-21147
      + CVE-2024-21145
      + CVE-2024-21140
      + CVE-2024-21144
      + CVE-2024-21131
      + CVE-2024-21138
    - Security Fixes:
      + JDK-8281658: New Security Category for -XshowSettings Launcher
        Option.
      + JDK-8316138: Added GlobalSign R46 and E46 Root CA Certificates.
      + JDK-8256660: Disabled DTLS 1.0.
      + JDK-8326891: Native Executables and Libraries on Linux Use
        RPATH Instead of RUNPATH.
  * d/copyright: regenerate copyright.
  * d/rules, d/t/*: collate all excluded tests into d/problemlist.csv.
  * d/p/jdk-8336529-proposed.patch: fix time_t migration issue on armhf -
    openjdk is unable to set file last modified timestamp.
  * d/p/jdk-8334895-proposed.patch: refresh patch.
  * d/rules: enable upstream release.
  * d/rules: relax jtreg7 version condition for backports.
  * d/rules: use gcc-10 for focal to resolve riscv gcc crash.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 18 Jul 2024 19:36:07 +1200
