=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
   is_default = yes
 endif
 
-is_upstream_release = no
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build
